/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c or Main.cpp                                    */
/*  DATE        :Tue, Oct 31, 2006                                     */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
//#include "typedefine.h"

#include "iodefine.h"
#include "machine.h"
#include "math.h"
#include "ICS_RX62T.h"

void main(void);

#pragma section DTCTBL
unsigned long dtc_table[256]; // caution allignment 0x000
#pragma section

float  fa;
float  fb;
float  fc;
short  ca;
short  cb;
short  cc;

void main(void)
{
    int  k;

    SYSTEM.SCKCR.BIT.ICK = 0x00;  // VXeNbN(ICLK)       EXTAL=12MHẑƂ(96MHz)
    SYSTEM.SCKCR.BIT.PCK = 0x01;  // ӃW[NbN(PCLK) EXTAL=12MHẑƂ(48MHz)

  //ics_init((void *)(&dtc_table), ICS_SCI0_PB2_PB1, 6);  // standard
  //ics_init((void *)(&dtc_table), ICS_SCI1_PD3_PD5, 6);  // if E1 is not used
    ics_init((void *)(&dtc_table), ICS_SCI2_PB5_PB6, 6);  // standard
  //ics_init((void *)(&dtc_table), ICS_SCI2_P81_P80, 6);  // option for T5201

    fa = 0.0;
    fb = 0.0;
    fc = 0.0;
    ca = 0;
    cb = 0;
    cc = 0;

    set_ipl(0);   /* set lowest IPL level */
    setpsw_i();   /* enable interrupt     */

    while(1)
    {
        fa = fa + 1;
        if (fa>100.0) { fa = -100; }		
        fb = -fa;
        fc = fa + fa;

        ca = (short)fa;
        cb = (short)fb;
        cc = (short)fc;

        ics_watchpoint();

        for(k=0;k<5000;k++) { nop(); }
    }
}


